Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.files
Enum FullFileSpecification.StandardFileSystemEnum

    java.lang.Object
      java.lang.Enum<FullFileSpecification.StandardFileSystemEnum>
          org.pdfclown.documents.files.FullFileSpecification.StandardFileSystemEnum

All Implemented Interfaces:
  Serializable, Comparable<FullFileSpecification.StandardFileSystemEnum>

Enclosing class:
  FullFileSpecification

    public static enum FullFileSpecification.StandardFileSystemEnum

extends Enum<FullFileSpecification.StandardFileSystemEnum>

Standard file system.

Enum Constant Summary
`Native` Generic platform file system.
`URL` Uniform resource locator.

Method Summary
`PdfName` | `getCode()`
`static FullFileSpecification.StandardFileSystemEnum` | `valueOf(PdfName code)`
`static FullFileSpecification.StandardFileSystemEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FullFileSpecification.StandardFileSystemEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Native

    public static final FullFileSpecification.StandardFileSystemEnum Native

  Generic platform file system.

### URL

    public static final FullFileSpecification.StandardFileSystemEnum URL

  Uniform resource locator.

Method Detail

### values

    public static FullFileSpecification.StandardFileSystemEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FullFileSpecification.StandardFileSystemEnum c : FullFileSpecification.StandardFileSystemEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FullFileSpecification.StandardFileSystemEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### valueOf

    public static FullFileSpecification.StandardFileSystemEnum valueOf(PdfName code)

### getCode

    public PdfName getCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.